import java.math.*;
import java.io.*;
import java.util.*;


/**
 * <p> Autor Michael Gorski </p>
 * <p> Version 1.0 </p>
 * <p>Copyright: Copyright (c) 2004 </p>
 */

/** Klasse zur Speicherung von Ergebnisdaten in einer Datei. */
public class IOFunction
{

//=====================================================================================================

	/** Speichert einen String in einer Datei ohne Zeilenumbruch. */
	public static void write(String s, String datei)
	{
		String temp = read(datei);
		temp += ""+s;
		try
		{
			FileOutputStream file = new FileOutputStream(datei);
			ObjectOutputStream output = new ObjectOutputStream( file );
			output.writeUTF(temp);
			output.flush();
			file.close();

		} //end try
		catch(IOException e) {  }

	} // end write

//=====================================================================================================

	/** Speichert einen String in einer Datei mit Zeilenumbruch. */
	public static void writeln(String s, String datei)
	{
		String temp = read(datei);
		temp += "\n"+s;
		try
		{
			FileOutputStream file = new FileOutputStream(datei);
			ObjectOutputStream output = new ObjectOutputStream( file );
			output.writeUTF(temp);
			output.flush();
			file.close();

		} //end try
		catch(IOException e) {  }

	} // end writeln
//=====================================================================================================

	/** Liest den Inhalt einer Datei und gibt ihn als String zurck. */
	public static String read(String datei)
	{
		String s = "";
		try
		{
			FileInputStream in = new FileInputStream(datei);
			ObjectInputStream input = new ObjectInputStream( in );
			s = (String) input.readUTF();
		} //end try
		catch(Exception e) {  }
		return(s);

	} // end read

//=====================================================================================================

	/** Lscht den Inhalt einer Datei. */
	public static void clear(String datei)
	{
		try
		{
			FileOutputStream file = new FileOutputStream(datei);
			ObjectOutputStream output = new ObjectOutputStream( file );
			output.writeUTF(" ");
			output.flush();
			file.close();

		} //end try
		catch(IOException e) {  }

	} // end write

//=====================================================================================================
} // end IOFunction