import java.util.*;
import java.util.Date;

/**
 * <p> Autor Michael Gorski </p>
 * <p> Version 1.0 </p>
 * <p>Copyright: Copyright (c) 2004 </p>
 */

/** Klasse zur Zeitmessung von Algorithmen. */
public class Timer
{
	Date start;
	Date stop;
	long div;

//======================================================================================================

	/** Startet den Timer. */
	public void start()
	{
		start = new Date();
	} // end start

//======================================================================================================

	/** Stoppt den Timer. */
	public void stop()
	{
		stop = new Date();
	} // end stop

//======================================================================================================

	/** Berechnet die Zeit, die zwischen dem Starten und dem Stoppen des Timers vergangen ist und
	liefert diese als formatierten String zurck.*/
	public String getDuration()
	{
		String s = "";

		try
		{
			div = ( stop.getTime() - start.getTime() );
		}
		catch(Exception e) 	{ div = 0; }

		if ( (div/86400000) != 0)
		{
			s += (div / 86400000)+ "d, ";
			div -= (div / 86400000)*86400000;

			s += (div / 3600000)+ "h, ";
			div -= (div / 3600000)*3600000;

			s += (div / 60000)+ "m, ";
   		    div -= (div / 60000)*60000;

   		   // s += (div / 1000)+ "s ";

   		  //  s += div + "ms ";

		}
		else if ( (div/3600000) != 0)
		{
			s += (div / 3600000)+ "h, ";
			div -= (div / 3600000)*3600000;

			s += (div / 60000)+ "m, ";
   		    div -= (div / 60000)*60000;

   		  //  s += (div / 1000)+ "s ";

   		 //   s += div + "ms ";
		}
		else if ( (div/60000) != 0)
		{
			s += (div / 60000)+ "m, ";
   		    div -= (div / 60000)*60000;

   		   // s += (div / 1000)+ "s ";

   		 //   s += div + "ms ";

		}
		s += (div / 1000)+ "s ";

		return(s);
	} // end getDuration

//======================================================================================================
} // Timer