import java.math.*;
import java.io.*;
import java.util.*;
import java.util.Date;

/**
 * <p> Autor Michael Gorski </p>
 * <p> Version 1.0 </p>
 * <p>Copyright: Copyright (c) 2004 </p>
 */

/** Testklasse, um verschieden Funktion berprfen zu knnen. */
public class test
{
	final  static BigInteger zero = new BigInteger("0");
	final  static BigInteger one = new BigInteger("1");
	final  static BigInteger two = new BigInteger("2");
	final  static BigInteger three = new BigInteger("3");
	final  static BigInteger four = new BigInteger("4");
	final  static BigInteger five = new BigInteger("5");
	final  static BigInteger six = new BigInteger("6");
	final  static BigInteger seven = new BigInteger("7");
	final  static BigInteger eight = new BigInteger("8");
	final  static BigInteger nine = new BigInteger("9");
	final  static BigInteger ten = new BigInteger("10");
	final  static BigInteger eleven = new BigInteger("11");
	final  static BigInteger twelve = new BigInteger("12");

	public static void main(String [] args)
	{

        BigInteger a = new BigInteger("0");
        BigInteger b = new BigInteger("1");
        BigInteger p = new BigInteger("7");

		BigIntegerArray iArray = new BigIntegerArray(two);
		iArray.set(zero, new BigInteger("2") );
		BigInteger temp = iArray.get(zero);
		BigInteger length = iArray.getArrayLength();

		ProjectivePoint W = new ProjectivePoint( one, two, two);new ProjectivePoint();
		W = new ProjectivePoint();

		BigProjectivePointArray porjectivArray = new BigProjectivePointArray(two);
		porjectivArray.set(zero, W );
		ProjectivePoint T = porjectivArray.get(zero);
		//length = porjectivArray.getArrayLength();

		Polynom poly1 = new Polynom(two);
		poly1.set(zero, new BigInteger("2") );
		poly1.set(one, new BigInteger("1") );
		String text = poly1.toString();
		BigInteger deg = poly1.getDeg();
		poly1 = Polynom.prove(poly1);

		Polynom poly2 = Polynom.add(poly1, poly1, p);
		poly2 = Polynom.negate(poly1, p);
		Polynom poly3 = Polynom.sub(poly1, poly2, p);
		poly3 = Polynom.mul(poly2, poly1, p);
		poly3 = Polynom.mod(poly3, p);
		Polynom [] polyArray = Polynom.div(poly2, poly3, p);
		poly3 = Polynom.ggT(poly1, poly2, p);
		Polynom divpoly = Polynom.getDivisionPolynom( new BigInteger("3") , a, b, p);
		poly3 = Polynom.pow(poly1, a, p);
		poly3 = Polynom.mul(a, poly1, p);
		poly3 = Polynom.mod(poly1, poly2 , p);



            if (true) {
                BigInteger A = new BigInteger("9");
                BigInteger B = new BigInteger("15");
                p = new BigInteger("17");
		for (int i = 1 ; i < p.intValue(); i++) {
		    A = new BigInteger(""+i);
		    for (int j = 1; j < p.intValue(); j++) {
			B = new BigInteger(""+j);
                        MathFunction.canPrint = false;
                        EllipticCurve y = new EllipticCurve(A, B, p);
                        MathFunction.canPrint = true;
                        System.out.print("      Examining (" + A + "," + B + "," + p +"). Disc mod p = ");
                        BigInteger disc = A.modPow(three,p).multiply(four).mod(p).add(B.modPow(two,p).multiply(new BigInteger("27")).mod(p)).mod(p);
                        System.out.print("" + disc + ". Naive order:");
                        MathFunction.canPrint = false;
                        BigInteger order = y.getOrder_ByNaive();
                        MathFunction.canPrint = true;
                        System.out.print("" + order + ", Shanks order: ");
                        MathFunction.canPrint = false;
                        order = y.getOrder_ByShanks();
                        MathFunction.canPrint = true;
                        System.out.println("" + order + ".");
		    }
		}
            }

	System.exit(0);


        EllipticCurve y = new EllipticCurve(a,b,p);				// erzeugt eine neue elliptische Kurve

 		ProjectivePoint P = y.getRandomPoint();
 		ProjectivePoint Q;
 		ProjectivePoint R;

		Timer timer = new Timer();

		Q = y.mul(4,P);
		System.out.println("4*P = "+ Q);

		boolean equal = y.isEqual(P, Q);

		R = y.add(P,Q);
		System.out.println("P+Q = "+ R);

		R = y.sub(P,Q);
		System.out.println("P-Q = "+ R);

		System.out.println("R in affinen Koordinaten = "+y.toAffineString(R));

        BigInteger erg1 = y.getOrder_ByShanks();
        System.out.println("\nDie Ordnung mit dem Shanks Mestre Algorithmus ist: "+erg1.toString() );

        BigInteger erg2 = y.getOrder_ByNaive();
        System.out.println("\nDie Ordnung mit naiven Algorithmus ist: "+erg2.toString() );

		timer.start();
        BigInteger erg3 = y.getOrder_BySchoof();
        timer.stop();
        System.out.println("\nDie Ordnung mit Schoof Algorithmus ist: "+erg3.toString() );
		System.out.println("Betechnungszeit: "+timer.getDuration()+"\n");




        } //end main
//======================================================================================================

} // end test





